# Postfix

## Create Readonly PostgreSQL user

```sql
USE postfixadmin;
GRANT CONNECT ON DATABASE postfixadmin TO postfix;
GRANT USAGE ON SCHEMA public TO postfix;
GRANT SELECT ON ALL TABLES IN SCHEMA public TO postfix;
ALTER DEFAULT PRIVILEGES IN SCHEMA public GRANT SELECT ON TABLES TO postfix;
```

## Environment variables

- HOSTNAME - Host-/Mailname, defaults to the containers HOSTNAME.
- DOVECOT_HOST - Dovecot host, defaults to `dovecot.mail.svc.cluster.local`
- DOVECOT_AUTH_PORT - Auth port, defaults to `12345`
- DOVECOT_LMTP_PORT - LMTP port, defaults to `2525`
- MYDOMAIN
- SUBNET - You want something like 10.0.0.0/8 here
- RELAY_NETS
- RELAY_HOST - outgoing relay
- SQL_TYPE - either `pgsql` or `mysql`
- SQL_USER - readonly Database user
- SQL_PASSWORD
- SQL_HOST
- SQL_DATABASE
- MESSAGE_SIZE_LIMIT - defaults to 52428800

## Volumes

### Overrides

- Can contain `postfix.cf` and `postfix.master` to be run through postconf.

### cert

- Must contain ca.crt, tls.crt, tls.key

## Links

- [HOWTO this is based on](https://kuther.net/2011/11/15/soho-mailserver-with-postfix-postgresql-dovecot-spamassassin-roundcube/)